comparison configure @ 90261:7beb78bc1f8e

Revision: miles@gnu.org--gnu-2005/emacs--unicode--0--patch-97 Merge from emacs--cvs-trunk--0 Patches applied: * emacs--cvs-trunk--0 (patch 616-696) - Add lisp/mh-e/.arch-inventory - Update from CVS - Merge from gnus--rel--5.10 - Update from CVS: lisp/smerge-mode.el: Add 'tools' to file keywords. - lisp/gnus/ChangeLog: Remove duplicate entry * gnus--rel--5.10 (patch 147-181) - Update from CVS - Merge from emacs--cvs-trunk--0 - Update from CVS: lisp/mml.el (mml-preview): Doc fix. - Update from CVS: texi/message.texi: Fix default values. - Update from CVS: texi/gnus.texi (RSS): Addition.
author Miles Bader <miles@gnu.org>
date Mon, 16 Jan 2006 08:37:27 +0000
parents aa89c814f853 98caae7488ee
children 7432ca837c8d
comparison
equal deleted inserted replaced
90260:0ca0d9181b5e 90261:7beb78bc1f8e
308 #endif 308 #endif
309 #if HAVE_UNISTD_H 309 #if HAVE_UNISTD_H
310 # include <unistd.h> 310 # include <unistd.h>
311 #endif" 311 #endif"
312 312
313 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO EGREP LIBSOUND SET_MAKE PKG_CONFIG GTK_CFLAGS GTK_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID KMEM_GROUP GETLOADAVG_LIBS GETOPT_H GETOPTOBJS version configuration canonical srcdir lispdir locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile carbon_appdir LTLIBOBJS' 313 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO GZIP_PROG LIBSOUND SET_MAKE PKG_CONFIG GTK_CFLAGS GTK_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID KMEM_GROUP GETLOADAVG_LIBS GETOPT_H GETOPTOBJS version configuration canonical srcdir lispdir locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile carbon_appdir LTLIBOBJS'
314 ac_subst_files='' 314 ac_subst_files=''
315 315
316 # Initialize some variables set by options. 316 # Initialize some variables set by options.
317 ac_init_help= 317 ac_init_help=
318 ac_init_version=false 318 ac_init_version=false
1716 *-*-freebsd* ) 1716 *-*-freebsd* )
1717 opsys=freebsd 1717 opsys=freebsd
1718 case "${canonical}" in 1718 case "${canonical}" in
1719 alpha*-*-freebsd*) machine=alpha ;; 1719 alpha*-*-freebsd*) machine=alpha ;;
1720 i[3456]86-*-freebsd*) machine=intel386 ;; 1720 i[3456]86-*-freebsd*) machine=intel386 ;;
1721 amd64-*-freebsd*|x86_64-*-freebsd*) machine=amdx86-64 ;;
1721 esac 1722 esac
1722 ;; 1723 ;;
1723 1724
1724 ## NetBSD ports 1725 ## NetBSD ports
1725 *-*-netbsd* ) 1726 *-*-netbsd* )
2569 ## Intel 386 machines where we don't care about the manufacturer 2570 ## Intel 386 machines where we don't care about the manufacturer
2570 i[3456]86-*-* ) 2571 i[3456]86-*-* )
2571 machine=intel386 2572 machine=intel386
2572 case "${canonical}" in 2573 case "${canonical}" in
2573 *-cygwin ) opsys=cygwin ;; 2574 *-cygwin ) opsys=cygwin ;;
2574 *-darwin ) opsys=darwin 2575 *-darwin* ) opsys=darwin
2575 CPP="${CC-cc} -E -no-cpp-precomp" 2576 CPP="${CC-cc} -E -no-cpp-precomp"
2576 ;; 2577 ;;
2577 *-isc1.* | *-isc2.[01]* ) opsys=386-ix ;; 2578 *-isc1.* | *-isc2.[01]* ) opsys=386-ix ;;
2578 *-isc2.2* ) opsys=isc2-2 ;; 2579 *-isc2.2* ) opsys=isc2-2 ;;
2579 *-isc4.0* ) opsys=isc4-0 ;; 2580 *-isc4.0* ) opsys=isc4-0 ;;
3671 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x 3672 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x
3672 then 3673 then
3673 CC="$CC $NON_GCC_TEST_OPTIONS" 3674 CC="$CC $NON_GCC_TEST_OPTIONS"
3674 fi 3675 fi
3675 3676
3677
3678 ac_ext=c
3679 ac_cpp='$CPP $CPPFLAGS'
3680 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3681 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3682 ac_compiler_gnu=$ac_cv_c_compiler_gnu
3683 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
3684 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
3685 # On Suns, sometimes $CPP names a directory.
3686 if test -n "$CPP" && test -d "$CPP"; then
3687 CPP=
3688 fi
3689 if test -z "$CPP"; then
3690 if test "${ac_cv_prog_CPP+set}" = set; then
3691 echo $ECHO_N "(cached) $ECHO_C" >&6
3692 else
3693 # Double quotes because CPP needs to be expanded
3694 for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
3695 do
3696 ac_preproc_ok=false
3697 for ac_c_preproc_warn_flag in '' yes
3698 do
3699 # Use a header file that comes with gcc, so configuring glibc
3700 # with a fresh cross-compiler works.
3701 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3702 # <limits.h> exists even on freestanding compilers.
3703 # On the NeXT, cc -E runs the code through the compiler's parser,
3704 # not just through cpp. "Syntax error" is here to catch this case.
3705 cat >conftest.$ac_ext <<_ACEOF
3706 /* confdefs.h. */
3707 _ACEOF
3708 cat confdefs.h >>conftest.$ac_ext
3709 cat >>conftest.$ac_ext <<_ACEOF
3710 /* end confdefs.h. */
3711 #ifdef __STDC__
3712 # include <limits.h>
3713 #else
3714 # include <assert.h>
3715 #endif
3716 Syntax error
3717 _ACEOF
3718 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3719 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3720 ac_status=$?
3721 grep -v '^ *+' conftest.er1 >conftest.err
3722 rm -f conftest.er1
3723 cat conftest.err >&5
3724 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3725 (exit $ac_status); } >/dev/null; then
3726 if test -s conftest.err; then
3727 ac_cpp_err=$ac_c_preproc_warn_flag
3728 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3729 else
3730 ac_cpp_err=
3731 fi
3732 else
3733 ac_cpp_err=yes
3734 fi
3735 if test -z "$ac_cpp_err"; then
3736 :
3737 else
3738 echo "$as_me: failed program was:" >&5
3739 sed 's/^/| /' conftest.$ac_ext >&5
3740
3741 # Broken: fails on valid input.
3742 continue
3743 fi
3744 rm -f conftest.err conftest.$ac_ext
3745
3746 # OK, works on sane cases. Now check whether non-existent headers
3747 # can be detected and how.
3748 cat >conftest.$ac_ext <<_ACEOF
3749 /* confdefs.h. */
3750 _ACEOF
3751 cat confdefs.h >>conftest.$ac_ext
3752 cat >>conftest.$ac_ext <<_ACEOF
3753 /* end confdefs.h. */
3754 #include <ac_nonexistent.h>
3755 _ACEOF
3756 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3757 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3758 ac_status=$?
3759 grep -v '^ *+' conftest.er1 >conftest.err
3760 rm -f conftest.er1
3761 cat conftest.err >&5
3762 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3763 (exit $ac_status); } >/dev/null; then
3764 if test -s conftest.err; then
3765 ac_cpp_err=$ac_c_preproc_warn_flag
3766 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3767 else
3768 ac_cpp_err=
3769 fi
3770 else
3771 ac_cpp_err=yes
3772 fi
3773 if test -z "$ac_cpp_err"; then
3774 # Broken: success on invalid input.
3775 continue
3776 else
3777 echo "$as_me: failed program was:" >&5
3778 sed 's/^/| /' conftest.$ac_ext >&5
3779
3780 # Passes both tests.
3781 ac_preproc_ok=:
3782 break
3783 fi
3784 rm -f conftest.err conftest.$ac_ext
3785
3786 done
3787 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3788 rm -f conftest.err conftest.$ac_ext
3789 if $ac_preproc_ok; then
3790 break
3791 fi
3792
3793 done
3794 ac_cv_prog_CPP=$CPP
3795
3796 fi
3797 CPP=$ac_cv_prog_CPP
3798 else
3799 ac_cv_prog_CPP=$CPP
3800 fi
3801 echo "$as_me:$LINENO: result: $CPP" >&5
3802 echo "${ECHO_T}$CPP" >&6
3803 ac_preproc_ok=false
3804 for ac_c_preproc_warn_flag in '' yes
3805 do
3806 # Use a header file that comes with gcc, so configuring glibc
3807 # with a fresh cross-compiler works.
3808 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3809 # <limits.h> exists even on freestanding compilers.
3810 # On the NeXT, cc -E runs the code through the compiler's parser,
3811 # not just through cpp. "Syntax error" is here to catch this case.
3812 cat >conftest.$ac_ext <<_ACEOF
3813 /* confdefs.h. */
3814 _ACEOF
3815 cat confdefs.h >>conftest.$ac_ext
3816 cat >>conftest.$ac_ext <<_ACEOF
3817 /* end confdefs.h. */
3818 #ifdef __STDC__
3819 # include <limits.h>
3820 #else
3821 # include <assert.h>
3822 #endif
3823 Syntax error
3824 _ACEOF
3825 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3826 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3827 ac_status=$?
3828 grep -v '^ *+' conftest.er1 >conftest.err
3829 rm -f conftest.er1
3830 cat conftest.err >&5
3831 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3832 (exit $ac_status); } >/dev/null; then
3833 if test -s conftest.err; then
3834 ac_cpp_err=$ac_c_preproc_warn_flag
3835 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3836 else
3837 ac_cpp_err=
3838 fi
3839 else
3840 ac_cpp_err=yes
3841 fi
3842 if test -z "$ac_cpp_err"; then
3843 :
3844 else
3845 echo "$as_me: failed program was:" >&5
3846 sed 's/^/| /' conftest.$ac_ext >&5
3847
3848 # Broken: fails on valid input.
3849 continue
3850 fi
3851 rm -f conftest.err conftest.$ac_ext
3852
3853 # OK, works on sane cases. Now check whether non-existent headers
3854 # can be detected and how.
3855 cat >conftest.$ac_ext <<_ACEOF
3856 /* confdefs.h. */
3857 _ACEOF
3858 cat confdefs.h >>conftest.$ac_ext
3859 cat >>conftest.$ac_ext <<_ACEOF
3860 /* end confdefs.h. */
3861 #include <ac_nonexistent.h>
3862 _ACEOF
3863 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3864 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3865 ac_status=$?
3866 grep -v '^ *+' conftest.er1 >conftest.err
3867 rm -f conftest.er1
3868 cat conftest.err >&5
3869 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3870 (exit $ac_status); } >/dev/null; then
3871 if test -s conftest.err; then
3872 ac_cpp_err=$ac_c_preproc_warn_flag
3873 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3874 else
3875 ac_cpp_err=
3876 fi
3877 else
3878 ac_cpp_err=yes
3879 fi
3880 if test -z "$ac_cpp_err"; then
3881 # Broken: success on invalid input.
3882 continue
3883 else
3884 echo "$as_me: failed program was:" >&5
3885 sed 's/^/| /' conftest.$ac_ext >&5
3886
3887 # Passes both tests.
3888 ac_preproc_ok=:
3889 break
3890 fi
3891 rm -f conftest.err conftest.$ac_ext
3892
3893 done
3894 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3895 rm -f conftest.err conftest.$ac_ext
3896 if $ac_preproc_ok; then
3897 :
3898 else
3899 { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
3900 See \`config.log' for more details." >&5
3901 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
3902 See \`config.log' for more details." >&2;}
3903 { (exit 1); exit 1; }; }
3904 fi
3905
3906 ac_ext=c
3907 ac_cpp='$CPP $CPPFLAGS'
3908 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3909 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3910 ac_compiler_gnu=$ac_cv_c_compiler_gnu
3911
3912
3913 echo "$as_me:$LINENO: checking for egrep" >&5
3914 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
3915 if test "${ac_cv_prog_egrep+set}" = set; then
3916 echo $ECHO_N "(cached) $ECHO_C" >&6
3917 else
3918 if echo a | (grep -E '(a|b)') >/dev/null 2>&1
3919 then ac_cv_prog_egrep='grep -E'
3920 else ac_cv_prog_egrep='egrep'
3921 fi
3922 fi
3923 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
3924 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
3925 EGREP=$ac_cv_prog_egrep
3926
3927
3928
3929 echo "$as_me:$LINENO: checking for AIX" >&5
3930 echo $ECHO_N "checking for AIX... $ECHO_C" >&6
3931 cat >conftest.$ac_ext <<_ACEOF
3932 /* confdefs.h. */
3933 _ACEOF
3934 cat confdefs.h >>conftest.$ac_ext
3935 cat >>conftest.$ac_ext <<_ACEOF
3936 /* end confdefs.h. */
3937 #ifdef _AIX
3938 yes
3939 #endif
3940
3941 _ACEOF
3942 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
3943 $EGREP "yes" >/dev/null 2>&1; then
3944 echo "$as_me:$LINENO: result: yes" >&5
3945 echo "${ECHO_T}yes" >&6
3946 cat >>confdefs.h <<\_ACEOF
3947 #define _ALL_SOURCE 1
3948 _ACEOF
3949
3950 else
3951 echo "$as_me:$LINENO: result: no" >&5
3952 echo "${ECHO_T}no" >&6
3953 fi
3954 rm -f conftest*
3955
3956
3957
3958 cat >>confdefs.h <<\_ACEOF
3959 #define _GNU_SOURCE 1
3960 _ACEOF
3961
3962
3963
3964 ### Use -Wno-pointer-sign if the compiler supports it
3965 echo "$as_me:$LINENO: checking whether gcc understands -Wno-pointer-sign" >&5
3966 echo $ECHO_N "checking whether gcc understands -Wno-pointer-sign... $ECHO_C" >&6
3967 SAVE_CFLAGS="$CFLAGS"
3968 CFLAGS="$CFLAGS -Wno-pointer-sign"
3969 cat >conftest.$ac_ext <<_ACEOF
3970 /* confdefs.h. */
3971 _ACEOF
3972 cat confdefs.h >>conftest.$ac_ext
3973 cat >>conftest.$ac_ext <<_ACEOF
3974 /* end confdefs.h. */
3975
3976 int
3977 main ()
3978 {
3979
3980 ;
3981 return 0;
3982 }
3983 _ACEOF
3984 rm -f conftest.$ac_objext
3985 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3986 (eval $ac_compile) 2>conftest.er1
3987 ac_status=$?
3988 grep -v '^ *+' conftest.er1 >conftest.err
3989 rm -f conftest.er1
3990 cat conftest.err >&5
3991 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3992 (exit $ac_status); } &&
3993 { ac_try='test -z "$ac_c_werror_flag"
3994 || test ! -s conftest.err'
3995 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3996 (eval $ac_try) 2>&5
3997 ac_status=$?
3998 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3999 (exit $ac_status); }; } &&
4000 { ac_try='test -s conftest.$ac_objext'
4001 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4002 (eval $ac_try) 2>&5
4003 ac_status=$?
4004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4005 (exit $ac_status); }; }; then
4006 has_option=yes
4007 else
4008 echo "$as_me: failed program was:" >&5
4009 sed 's/^/| /' conftest.$ac_ext >&5
4010
4011 has_option=no
4012 fi
4013 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4014 if test $has_option = yes; then
4015 C_WARNINGS_SWITCH="-Wno-pointer-sign $C_WARNINGS_SWITCH"
4016 fi
4017 echo "$as_me:$LINENO: result: $has_option" >&5
4018 echo "${ECHO_T}$has_option" >&6
4019 CFLAGS="$SAVE_CFLAGS"
4020 unset has_option
4021 unset SAVE_CFLAGS
4022
3676 #### Some other nice autoconf tests. 4023 #### Some other nice autoconf tests.
3677 4024
3678 echo "$as_me:$LINENO: checking whether ln -s works" >&5 4025 echo "$as_me:$LINENO: checking whether ln -s works" >&5
3679 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6 4026 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
3680 LN_S=$as_ln_s 4027 LN_S=$as_ln_s
4197 else 4544 else
4198 echo "$as_me:$LINENO: result: no" >&5 4545 echo "$as_me:$LINENO: result: no" >&5
4199 echo "${ECHO_T}no" >&6 4546 echo "${ECHO_T}no" >&6
4200 fi 4547 fi
4201 4548
4549 # Extract the first word of "gzip", so it can be a program name with args.
4550 set dummy gzip; ac_word=$2
4551 echo "$as_me:$LINENO: checking for $ac_word" >&5
4552 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
4553 if test "${ac_cv_path_GZIP_PROG+set}" = set; then
4554 echo $ECHO_N "(cached) $ECHO_C" >&6
4555 else
4556 case $GZIP_PROG in
4557 [\\/]* | ?:[\\/]*)
4558 ac_cv_path_GZIP_PROG="$GZIP_PROG" # Let the user override the test with a path.
4559 ;;
4560 *)
4561 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4562 for as_dir in $PATH
4563 do
4564 IFS=$as_save_IFS
4565 test -z "$as_dir" && as_dir=.
4566 for ac_exec_ext in '' $ac_executable_extensions; do
4567 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
4568 ac_cv_path_GZIP_PROG="$as_dir/$ac_word$ac_exec_ext"
4569 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
4570 break 2
4571 fi
4572 done
4573 done
4574
4575 ;;
4576 esac
4577 fi
4578 GZIP_PROG=$ac_cv_path_GZIP_PROG
4579
4580 if test -n "$GZIP_PROG"; then
4581 echo "$as_me:$LINENO: result: $GZIP_PROG" >&5
4582 echo "${ECHO_T}$GZIP_PROG" >&6
4583 else
4584 echo "$as_me:$LINENO: result: no" >&5
4585 echo "${ECHO_T}no" >&6
4586 fi
4587
4202 4588
4203 4589
4204 if test x$GCC = xyes && test "x$GCC_LINK_TEST_OPTIONS" != x 4590 if test x$GCC = xyes && test "x$GCC_LINK_TEST_OPTIONS" != x
4205 then 4591 then
4206 ac_link="$ac_link $GCC_LINK_TEST_OPTIONS" 4592 ac_link="$ac_link $GCC_LINK_TEST_OPTIONS"
4219 LDFLAGS="$LDFLAGS -znocombreloc" 4605 LDFLAGS="$LDFLAGS -znocombreloc"
4220 fi 4606 fi
4221 4607
4222 echo "$as_me:$LINENO: checking for -znocombreloc" >&5 4608 echo "$as_me:$LINENO: checking for -znocombreloc" >&5
4223 echo $ECHO_N "checking for -znocombreloc... $ECHO_C" >&6 4609 echo $ECHO_N "checking for -znocombreloc... $ECHO_C" >&6
4224
4225 cat >conftest.$ac_ext <<_ACEOF 4610 cat >conftest.$ac_ext <<_ACEOF
4226 main(){return 0;} 4611 main(){return 0;}
4227 _ACEOF 4612 _ACEOF
4228 rm -f conftest.$ac_objext conftest$ac_exeext 4613 rm -f conftest.$ac_objext conftest$ac_exeext
4229 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 4614 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4257 echo "$as_me:$LINENO: result: no" >&5 4642 echo "$as_me:$LINENO: result: no" >&5
4258 echo "${ECHO_T}no" >&6 4643 echo "${ECHO_T}no" >&6
4259 fi 4644 fi
4260 rm -f conftest.err conftest.$ac_objext \ 4645 rm -f conftest.err conftest.$ac_objext \
4261 conftest$ac_exeext conftest.$ac_ext 4646 conftest$ac_exeext conftest.$ac_ext
4262
4263
4264 echo "$as_me:$LINENO: checking for egrep" >&5
4265 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
4266 if test "${ac_cv_prog_egrep+set}" = set; then
4267 echo $ECHO_N "(cached) $ECHO_C" >&6
4268 else
4269 if echo a | (grep -E '(a|b)') >/dev/null 2>&1
4270 then ac_cv_prog_egrep='grep -E'
4271 else ac_cv_prog_egrep='egrep'
4272 fi
4273 fi
4274 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
4275 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
4276 EGREP=$ac_cv_prog_egrep
4277
4278
4279
4280 echo "$as_me:$LINENO: checking for AIX" >&5
4281 echo $ECHO_N "checking for AIX... $ECHO_C" >&6
4282 cat >conftest.$ac_ext <<_ACEOF
4283 /* confdefs.h. */
4284 _ACEOF
4285 cat confdefs.h >>conftest.$ac_ext
4286 cat >>conftest.$ac_ext <<_ACEOF
4287 /* end confdefs.h. */
4288 #ifdef _AIX
4289 yes
4290 #endif
4291
4292 _ACEOF
4293 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4294 $EGREP "yes" >/dev/null 2>&1; then
4295 echo "$as_me:$LINENO: result: yes" >&5
4296 echo "${ECHO_T}yes" >&6
4297 cat >>confdefs.h <<\_ACEOF
4298 #define _ALL_SOURCE 1
4299 _ACEOF
4300
4301 else
4302 echo "$as_me:$LINENO: result: no" >&5
4303 echo "${ECHO_T}no" >&6
4304 fi
4305 rm -f conftest*
4306
4307
4308
4309 4647
4310 #### Extract some information from the operating system and machine files. 4648 #### Extract some information from the operating system and machine files.
4311 4649
4312 { echo "$as_me:$LINENO: checking the machine- and system-dependent files to find out 4650 { echo "$as_me:$LINENO: checking the machine- and system-dependent files to find out
4313 - which libraries the lib-src programs will want, and 4651 - which libraries the lib-src programs will want, and
4391 #else 4729 #else
4392 #define C_OPTIMIZE_SWITCH -O 4730 #define C_OPTIMIZE_SWITCH -O
4393 #endif 4731 #endif
4394 #endif 4732 #endif
4395 4733
4734 #ifndef C_WARNINGS_SWITCH
4735 #define C_WARNINGS_SWITCH ${C_WARNINGS_SWITCH}
4736 #endif
4737
4396 #ifndef LD_SWITCH_MACHINE 4738 #ifndef LD_SWITCH_MACHINE
4397 #define LD_SWITCH_MACHINE 4739 #define LD_SWITCH_MACHINE
4398 #endif 4740 #endif
4399 4741
4400 #ifndef LD_SWITCH_SYSTEM 4742 #ifndef LD_SWITCH_SYSTEM
4419 4761
4420 #else /* not THIS_IS_CONFIGURE */ 4762 #else /* not THIS_IS_CONFIGURE */
4421 4763
4422 /* Get the CFLAGS for real compilation. */ 4764 /* Get the CFLAGS for real compilation. */
4423 #ifdef __GNUC__ 4765 #ifdef __GNUC__
4424 configure___ REAL_CFLAGS=C_DEBUG_SWITCH C_OPTIMIZE_SWITCH '${SPECIFIED_CFLAGS}' 4766 configure___ REAL_CFLAGS=C_DEBUG_SWITCH C_OPTIMIZE_SWITCH C_WARNINGS_SWITCH '${SPECIFIED_CFLAGS}'
4425 #else 4767 #else
4426 configure___ REAL_CFLAGS=C_DEBUG_SWITCH '${SPECIFIED_CFLAGS}' 4768 configure___ REAL_CFLAGS=C_DEBUG_SWITCH '${SPECIFIED_CFLAGS}'
4427 #endif 4769 #endif
4428 4770
4429 #endif /* not THIS_IS_CONFIGURE */ 4771 #endif /* not THIS_IS_CONFIGURE */
4449 if test x"${OVERRIDE_CPPFLAGS}" != x; then 4791 if test x"${OVERRIDE_CPPFLAGS}" != x; then
4450 CPPFLAGS="${OVERRIDE_CPPFLAGS}" 4792 CPPFLAGS="${OVERRIDE_CPPFLAGS}"
4451 else 4793 else
4452 CPPFLAGS="$c_switch_system $c_switch_machine $CPPFLAGS" 4794 CPPFLAGS="$c_switch_system $c_switch_machine $CPPFLAGS"
4453 fi 4795 fi
4454
4455
4456
4457
4458 cat >>confdefs.h <<\_ACEOF
4459 #define _GNU_SOURCE 1
4460 _ACEOF
4461 4796
4462 4797
4463 4798
4464 # Check whether --enable-largefile or --disable-largefile was given. 4799 # Check whether --enable-largefile or --disable-largefile was given.
4465 if test "${enable_largefile+set}" = set; then 4800 if test "${enable_largefile+set}" = set; then
23301 s,@LDFLAGS@,$LDFLAGS,;t t 23636 s,@LDFLAGS@,$LDFLAGS,;t t
23302 s,@CPPFLAGS@,$CPPFLAGS,;t t 23637 s,@CPPFLAGS@,$CPPFLAGS,;t t
23303 s,@ac_ct_CC@,$ac_ct_CC,;t t 23638 s,@ac_ct_CC@,$ac_ct_CC,;t t
23304 s,@EXEEXT@,$EXEEXT,;t t 23639 s,@EXEEXT@,$EXEEXT,;t t
23305 s,@OBJEXT@,$OBJEXT,;t t 23640 s,@OBJEXT@,$OBJEXT,;t t
23641 s,@CPP@,$CPP,;t t
23642 s,@EGREP@,$EGREP,;t t
23306 s,@LN_S@,$LN_S,;t t 23643 s,@LN_S@,$LN_S,;t t
23307 s,@CPP@,$CPP,;t t
23308 s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t 23644 s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
23309 s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t 23645 s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
23310 s,@INSTALL_DATA@,$INSTALL_DATA,;t t 23646 s,@INSTALL_DATA@,$INSTALL_DATA,;t t
23311 s,@RANLIB@,$RANLIB,;t t 23647 s,@RANLIB@,$RANLIB,;t t
23312 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t 23648 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
23313 s,@INSTALL_INFO@,$INSTALL_INFO,;t t 23649 s,@INSTALL_INFO@,$INSTALL_INFO,;t t
23314 s,@EGREP@,$EGREP,;t t 23650 s,@GZIP_PROG@,$GZIP_PROG,;t t
23315 s,@LIBSOUND@,$LIBSOUND,;t t 23651 s,@LIBSOUND@,$LIBSOUND,;t t
23316 s,@SET_MAKE@,$SET_MAKE,;t t 23652 s,@SET_MAKE@,$SET_MAKE,;t t
23317 s,@PKG_CONFIG@,$PKG_CONFIG,;t t 23653 s,@PKG_CONFIG@,$PKG_CONFIG,;t t
23318 s,@GTK_CFLAGS@,$GTK_CFLAGS,;t t 23654 s,@GTK_CFLAGS@,$GTK_CFLAGS,;t t
23319 s,@GTK_LIBS@,$GTK_LIBS,;t t 23655 s,@GTK_LIBS@,$GTK_LIBS,;t t